Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cpw.mods.fml.common.network
Interface IGuiHandler

All Known Implementing Classes:
  ModLoaderGuiHelper

    public interface IGuiHandler

Method Summary
`Object` | `getClientGuiElement(int ID, EntityPlayer player, World world, int x, int y, int z)` Returns a Container to be displayed to the user.
`Object` | `getServerGuiElement(int ID, EntityPlayer player, World world, int x, int y, int z)` Returns a Server side Container to be displayed to the user.

Method Detail

### getServerGuiElement

    Object getServerGuiElement(int ID,
                               EntityPlayer player,
                               World world,
                               int x,
                               int y,
                               int z)

  Returns a Server side Container to be displayed to the user.

  Parameters:
    `ID` - The Gui ID Number
    `player` - The player viewing the Gui
    `world` - The current world
    `x` - X Position
    `y` - Y Position
    `z` - Z Position
  Returns:
    A GuiScreen/Container to be displayed to the user, null if none.

### getClientGuiElement

    Object getClientGuiElement(int ID,
                               EntityPlayer player,
                               World world,
                               int x,
                               int y,
                               int z)

  Returns a Container to be displayed to the user. On the client side, this needs to return a instance of GuiScreen On the server side, this needs to return a instance of Container

  Parameters:
    `ID` - The Gui ID Number
    `player` - The player viewing the Gui
    `world` - The current world
    `x` - X Position
    `y` - Y Position
    `z` - Z Position
  Returns:
    A GuiScreen/Container to be displayed to the user, null if none.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD